MTV Music Generator Help File Contents Page

TABLE OF CONTENTS
Copyright
Copyright & Royalty-Free License
MTV Music Generator Manual
Precautions, Epilepsy Warning and Piracy Notice
Installing MTV Music Generator
Tutorial
Full Manual
Making A Song Using Riffs
Creating Your Own Riffs
Sampling / Editing Samples
Making a Video Using Clips
Creating Your Own Clips
Music Jam
Loading & Saving
Playing your own Audio CDs
Options Menu
Frequently Asked Questions
Codemasters, Inc. Software License Agreement
Codemasters Technical Support
Codemasters Technical Support
Minumum & Recommended Specifications
3D Graphics Cards
Supported 3D Chipsets and Manufacturer Web Sites
Troubleshooting
Troubleshooting Display Issues
Troubleshooting Sound Issues
Troubleshooting Other Issues


Supported 3D Chipsets and Manufacturer Web Sites
Below are all the 3d cards supported by MTV Music Generator and a link to the Manufacturer's web-site. This may be helpful in obtaining updated drivers for your graphics card.

3dfx Voodoo Graphics, Voodoo Rush, Voodoo Banshee, Voodoo2, Voodoo3
3Dlabs Permedia 2, Permedia 3
ATI Rage Pro, Rage 128
Intel i740
Matrox G200, G400
Nvidia Riva 128, Riva TNT, Riva TNT2, GeForce 256
S3 Savage 3D, Savage 4, Savage 2000

Contents
Back - Minimum & Recommended Specifications
Forward - Troubleshooting Display Issues


PLAYING YOUR OWN AUDIO CD'S
MTV Music Generator allows you to play your own audio CDs, while automatically generating a video to fit the songs. The video generation system tries to match the style, pace and content of the visuals to the music.

Automatic video generation

Select 'CD Player' from the main menu. You will be initially prompted to decide whether you would like it to generate a video or not. You can also alter two settings to affect the style of video generated.

Choose 'Generate video', and MTV Music Generator will load in video data to use with the audio CD. This data is random every time, so you will get unique results every time you play an audio CD.

Note: If you choose to generate a video, you will not be able to record samples from an audio CD.

You will then arrive at the CD player screen. In the bottom right corner of the screen are some standard CD player controls. Click the play icon and sit back and watch the video being automatically generated.

Contents
Back - Loading & Saving
Forward - Options Menu


Copyright & Royalty-Free License

Copyright

©2000 Jester Interactive and The Codemasters Software Company Limited. ("Codemasters") All Rights Reserved. "Codemasters"® is a registered trademark of Codemasters Limited. For home use only. Unauthorized copying, adaption, rental, lending, re-sale, arcade use, charging for use, broadcast, cable transmission, public performance, distribution or extraction of this product or any trademark or copyright work that forms part of this product are prohibited.

Developed by Jester Interactive. Published by Codemasters. Private and domestic use only.

Royalty-Free License

You are entitled to a world-wide royalty-free license to make, use, sell, distribute and publish any works that you create with MTV Music Generator or using any audio or video components of MTV Music Generator provided that any such works are clearly marked on the media or packaging with the above MTV Music Generator logo and that you have posted to us acknowledgement of your intended use.

This acknowledgement should be in the form of brief details about the works you have created and contact information and should be posted to:

MTV Music Generator Registration Dept., P.O. Box 2150, Oakhurst, CA 93644, USA.

This license does not include the right to use any recordings or components of 'MTV Music Generator' in any commercial music or video creation product.


FAQ

Frequently Asked Questions
Q. I have just deleted a Riff by mistake, help!

A. Don't worry! MTV Music Generator has an undo (Ctrl & Z) feature in the Song track menu, choosing this will undo the last action selected by the user. You can also redo (Ctrl & Y) if you make a mistake using the undo feature.

Q. I can never remember the shortcuts.

A. If you place your cursor over the shortcut menu in the top right of the screen the action and the relevant short cut will appear next to the cursor arrow.

Q. How do I make a copy of a Riff and edit it without affecting the original?

A. Paste the Riff you want to copy, then choose Clone Riff from the Song track menu. This will make a copy of your Riff but will also enable you to edit it without changing the original. The Clone Riff option is handy for making subtle changes to a Riff without having to start from scratch.

Q. I have deleted my song from the song track editor using the Clear Music option, but my song had not been saved.

A. Sorry! but your song is irretrievable. Remember to always save your songs and videos.

Q. In Music Jam mode there seem to be more buttons to press than I have fingers.

A. If you press the SHIFT key and then press an F key with a Riff assigned to it, MTV Music Generator will hold that button down for you, leaving fingers free to Jam. To stop MTV Music Generator from playing the Riff, simply press SHIFT and the button again.

Q. I've recorded a Drumloop from CD but can't seem to get it to loop correctly.

A. Try adjusting the BPM. When you have recorded your sample you may have parts that you don't need. Use the Edit sample option (from the Riff editor\Sample palette menu), trim off the unwanted sound and then paste the sample in the Riff editor. For the sample to Loop properly you may need to adjust the BPM (at the bottom of the song track editor) to match the BPM the original was recorded at.

Q. My Midi keyboard doesn't seem to work with MTV Music Generator.

A. Make sure your keyboard is set to the right channel. On most Midi keyboards you should be able to select the Output channel. Set this and check that MTV Music Generator is using the same channel (Options\Midi Options\Set Midi input Channel) - then you should be able to use your Midi keyboard in Riff editor and Music Jam modes.

Q. When I record a sample from CD and then listen to the resulting sample in the sample palette, nothing plays.

A. The CD device might not be selected. You need to have the recording device selected in Windows (TM) before starting MTV Music Generator. To do this, go to Windows Control Panel\Multimedia and select Record control. Here you have a choice of devices to record from, so if it's CD Audio you want to record then make sure it is selected on this screen.

Q. I have a Voodoo2 card in my PC but I'm unable to use the Video Track editor.

A. If your Primary Display card does not support Direct 3D then you will not be able to use MTV Music Generator's video capabilities. If you have a Voodoo2 or Voodoo1 then you will need to select it from within MTV Music Generator. To do this, simply enter Options\Video Options and choose Set Graphics Device - you should then be able to select your Voodoo card from this screen. Note: always remember to use the latest drivers for your graphics device.

Further FAQ's will be posted on our website http://www.codemastersusa.com

Contents
Back - Options Menu
Forward - Codemasters, Inc. Software License Agreement


Full manual
The main screen layout

At the top left of the screen, you will see the six main menu icons:

Song Track: Create and play songs
Video Track: Create and play videos
Music Jam: Jam with 1-4 players
Load and Save: Load and save songs and information
CD Player: This lets you play audio CDs or record samples from them
Options: Allows you to clear songs / video and get sound / video related options.

At the top center of the screen is a box telling you details of the song currently being played: its tempo (in beats per minute) both numerically and graphically, current and overall time in hours, minutes and seconds, amount of memory the song takes up and its name. At the top right is the on-screen menu.

Most of the screen is taken up with the song track display. There are 99 channels running vertically. Each channel is 999 bars long (more than enough for even the longest of songs), and is split into boxes. Each box represents a bar of your song. Every four bars there is a light blue box to represent the start of each four-bar section. There are scroll bars on the right hand side and also below the main track display, which show where within the screen you are. Under the track display are numbers displaying the bar number of each bar on the screen. As you may have guessed, time moves horizontally. The start of your song is at the left hand side of the screen, and as your song plays, the song will move to the right.

SONG TRACK SHORTCUTS

F1 - Paste riff
F2 - Delete riff
F3 - Play
F4 - Area selection
F5 - Riff palette
F6 - Riff library
F7 - Song start
F8 - Song end
F9 - Song bottom
F10 - Mixer settings
F11 - Undo
F12 - Help

Online Help

Wherever you are within MTV Music Generator, refer to the shortcut icons on the top right of the screen or right click to display a menu showing you all the options available for the current screen. Move up and down the menu and choose the option you want. If you want more information about any of the options, move down to 'Help' at the bottom of every menu. This will allow you to choose which item you'd like help on.
Click whichever option you want for a full description of what the option does.

If you make a mistake, most menus have an 'Undo' option - selecting this reverses the last action you made. If you then decide that you did want to perform the action, you can select 'Redo' to reverse the 'Undo' option. The Undo shortcut is CTRL + Z and CTRL + Y will Redo.

Volume

Underneath the 99 channels are four more channels, each of which has a specific function. The first is the volume channel. The very first bar here can be used to set the volume for the entire song.
Clicking on this bar will allow you to choose the initial volume (at the start of your song), and the final volume (at the end of your song). This allows you to fade your song up or down. If you just want to alter the volume throughout your song, change the start/end volume.
If you click on any bar other than the first, you will then be asked to select a range of bars, and again you can alter the start and end volumes for your selection. For example, to fade out your song over the last four bars, move to the fourth bar from the end, click and drag the area and when you let go of the mouse button you will be able to change the start and end volume levels in the volume menu.

Reverb

Underneath the volume channel is the reverb channel. Reverb is an effect similar to clapping your hands in a large hall - the sound seems to hang in the air for a while. The first bar allows you to set the reverb setting for the entire song.
You can also change the type of reverb and its depth, delay and feedback rate.
If you want the reverb to alter over a number of bars, click on the first bar, and then move over and click on the last bar of the sequence. You can then set the depth, delay and feedback settings for both the start and end of the sequence, but only in conjunction with 'Note Repeat' in the 'Riff Editor'.

BPM

Underneath the reverb channel is the BPM (beats per minute) channel. This allows you to set the tempo of your song. The first bar allows you to set the tempo for the entire song. If you want a constant tempo, alter the start/end setting. Otherwise, you can get the song to speed up or slow down by changing the start and end tempos.
If you want your song to speed up or slow down over a number of bars, you can select the first bar, select the final bar, and then set the start and end tempos.

Transpose Key

The track at the very bottom is the transpose key track, allowing you to change the key of all the music. Simply select the bar you want to transpose and then choose the key you want.

Most of the standard riffs are in the key of 'C', so a very simple key change is to cycle repeatedly between C, F, G and then C again. If you don't want to alter the default key, choose the icon on the left. You can also specify whether you want the key to be changed into a minor or major key. Select 'None' if you want to leave the minor/major notes as they were by default. Please note that you need to select the key to transpose to before placing the riffs into that bar.

World View

If you go to the menu from the song track screen and choose 'World View' you will be able to see 60 channels on screen at once, as well as 96 bars as opposed to the standard 23. This can be very useful to get an overall view of your entire track, and to see how it is working. To get back to the normal view, go to the menu, and select 'Cancel World View' .

Contents
Back - Tutorial
Forward - Making A Song Using Riffs


MTV Music Generator Help File Contents Page

TABLE OF CONTENTS
Copyright
Copyright & Royalty-Free License
MTV Music Generator Manual
Precautions, Epilepsy Warning and Piracy Notice
Installing MTV Music Generator
Tutorial
Full Manual
Making A Song Using Riffs
Creating Your Own Riffs
Sampling / Editing Samples
Making a Video Using Clips
Creating Your Own Clips
Music Jam
Loading & Saving
Playing your own Audio CDs
Options Menu
Frequently Asked Questions
Codemasters, Inc. Software License Agreement
Codemasters Technical Support
Codemasters Technical Support
Minimum & Recommended Specifications
3D Graphics Cards
Supported 3D Chipsets and Manufacturer Web Sites
Troubleshooting
Troubleshooting Display Issues
Troubleshooting Sound Issues
Troubleshooting Other Issues


Copyright & Royalty-Free License

Installing MTV Music Generator
Before proceeding, ensure that you close as many programs and functions as possible before installing and running the game.

Insert the MTV Music Generator CD into your CD-ROM drive. MTV Music Generator uses the Autorun feature of Windows® 95/98 so the installation program should appear automatically. If the Autorun feature is disabled on your computer then click on the [START] button then [RUN], type D:\SETUP EXE (where D: is the letter of your CD-ROM drive) then click [OK]. Alternatively, double-click on [My Computer], double-click on the CD-ROM drive icon, double-click on [SETUP.EXE].

A menu window will now appear with the following choices:

Test MTV Music Generator (This has to be pressed first, before the install option will function)
Install MTV Music Generator
Play MTV Music Generator
Uninstall MTV Music Generator
Exit MTV Music Generator launcher

Clicking Test MTV Music Generator will determine if your computer can run MTV Music Generator.
Clicking Install will launch the installation program.
Clicking Play will launch MTV Music Generator.
Clicking Uninstall will remove MTV Music Generator from your computer.
Clicking Exit MTV Music Generator launcher will exit from the menu window.

At the start of installing MTV Music Generator you will be given the option to install DIRECTX 7, if this is not already installed. DIRECTX 7 must be installed on your computer to play MTV Music Generator.

Contents
Back - Precautions, Epilepsy Warning and Piracy Notice
Forward - Tutorial


Music Jam
Music Jam is a quick and easy way to jam on your own, on-line or over a LAN with up to three other players. It's also incredible fun and the results can be seriously impressive. For plain and simple jamming, just get pressing those keys. Once you're familiar with the set-up, you can add a host of effects. The Jam mode is also available in single player mode and from this templates can be created, saved and edited.

Selecting Jam Mode from the top menu bar will display the Host/Join Jam Session Menu. Click on Host a Jam Session to display the Host Options menu:

The player can change any of these settings.

Server Name - used when hosting a session
Player Name - as seen by other players
Number Of Players - max number of players in a session
The initial BPM of the session - the amount of beats per minute at the start of the session
Maximum User Template Size - limit the size of the samples used

On entering the Jam Session the player is given the option of choosing a Template. Templates work in the same way as the Riff Library described earlier in this manual. Closing this menu without selecting a template will not load anything. N.B.: User created templates can only be selected on initial entry to a jam session These will only be loaded in if the 'maximum template size' has been adjusted sufficiently by the host player.

The Riff Keys

These are the Function keys F1 to F12. Simply press to play. Press Shift and the key to loop and Shift and the key again to stop looping. Left clicking on the riff key will highlight the key selected light, allowing you to apply Mod Wheel and plug in effects to riffs (see below). Right clicking will display the Riff Library. Left clicking will load the selected Riff and right clicking will let the user Preview the Riff or get Help.

The Instrument Keys

These are the number pad keys 0-9. Just press to play. Left clicking on the instrument key will highlight the key selected light so you can apply effects (see Mod Wheel and Plug ins below). Right clicking will display the Instrument Library. Within Instrument Library, right clicking will preview the Instrument at 44Khz.
Left clicking will display the Sample Library Menu - from here the user can Load/Demo the Instrument or get Help.

The Piano

The Piano Text Box
The keys on the two on-screen pianos are mapped to your PC keyboard, as shown on the keys. Just press the keyboard and you're playing piano! You can play more than one note at once and you can also play both pianos at once - if you're up to it.
Left click on the text box to highlight the piano selected light (see Mod Wheel and Plug ins below).

Right click will display the Instrument Library.
Within Instrument Library, right clicking will preview the Instrument at 44Khz and left click will display the Sample Library Menu - from here the user can Load/Demo the Instrument or get Help.

Selecting Riffs and Instruments

CTRL + Left Click will allow multiple items to be toggled as selected/unselected.
SHIFT + Left Click will allow a range of items to be selected. The range is chosen from the last selected item (left clicked).

The Octave Icon

This adjusts the octave of the current instrument on the piano: left click will jump to a higher octave (Max is 6) and right click will jump to lower octave (Min is 1).

The Mod Wheel

When the mouse is over the mod wheel, text under the mouse will display the current effect and value. Left click and drag will apply the current effect to any keys you have selected (see above) and right click will display the list of available effects for the currently selected items.

The Plug in Window

On entering Jam Mode there will be no plug in loaded. Right clicking on the Text "No Plug in Loaded" will display a list of currently loaded plug ins - there are 16 available slots. Left clicking on a slot to switch to the plug in that slot while right clicking on a slot will display the Plug in Menu. You can choose to Load/Delete/Reset the plug in for that slot.
Clicking on Load a Plug in will display a further menu of the available plug ins.
Selecting a plug in from this menu will load it into the selected slot and make it the current plug in.

The plug in will be applied to the currently selected Music Jam items BUT this is only done when you click in the plug in window. For example, to just have piano1 going through the plug in, select Piano1 and then click in the Plug in Window - piano1 will now be affected by the plug in. The plug in can now be changed on the fly by clicking and holding the left mouse button as you move over the Plug in Window.
Selecting other items and clicking in the Plug in Window will over-ride previous selections.
Right click on the plug in name within the window to change to a different plug in.
The key selection lights will change to show which items the plug in is affecting.

The Player Windows

There is a window each for up to 4 Players. The blocks in these windows are used as a 4-bar delay in the internet jam session, they also appear in the LAN jam game but play immediately, as they do in the single player mode.
The main aim of these windows is to let other players know what each other is doing. For instance, when a player uses the piano, a piano icon will be displayed for everyone to see.
BUT, by left clicking on the window of say Player 2, your local display will reflect what Player 2 sees on their screen.
This allows you to view what riffs they have loaded, how they play their pianos and what plug ins they are using.
Left clicking back on the display will revert back to your display.

Right clicking on the player windows will allow the jam session host to either 'kick off' players or 'ban' them - the latter stops them re-connecting to your session.

The Chat Window

Left clicking on the bottom most text line will allow the user to enter a message that will be sent to all players.

Don't forget: If you want to jam on-line with other players, go to www.codemastersusa.com/mtvjam where you can meet up with like-minded musicians.

Contents
Back - Creating Your Own Clips
Forward - Loading & Saving


Codemasters, Inc. Software License Agreement
IMPORTANT - READ CAREFULLY: THE ACCOMPANYING PROGRAM (WHICH INCLUDES COMPUTER SOFTWARE, THE MEDIA AND RELATED DOCUMENTATION IN PRINTED OR ELECTRONIC FORM) IS LICENSED TO YOU ON THE TERMS SET FORTH BELOW, WHICH CONSTITUTES A LEGAL AGREEMENT BETWEEN YOU AND CODEMASTERS, INC. ("CODEMASTERS"). BY OPENING THIS PACKAGE, AND/OR INSTALLING OR OTHERWISE USING THE PROGRAM, YOU AGREE TO BE LEGALLY BOUND THE TERMS OF THIS AGREEMENT WITH CODEMASTERS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, YOU ARE NOT AUTHORIZED TO USE THE PROGRAM AND YOU SHOULD RETURN THE PROGRAM TO THE VENDOR FROM WHICH YOU OBTAINED THE PROGRAM AND REQUEST A REFUND

THE PROGRAM is protected by the copyright laws of the United States, international copyright treaties and conventions and other laws. The program is licensed, and not sold, and this Agreement confers no title or ownership to the Program or any copy thereof.
1. Limited Use License. Codemasters grants you the non-exclusive, non-transferable, limited right and license to use one copy of the Program solely for your personal use on a single computer.
2. Ownership. All intellectual property rights in and to the Program (including but not limited to video, audio and other content incorporated therein) and title to any and all copies thereof are owned by Codemasters or its licensors, and you receive no right or interest therein other than the limited license in paragraph 1 hereof.

YOU SHALL NOT:

- Copy the Program except a single backup copy
- Sell, rent, license,distribute or otherwise transfer or make availble to any other person the Program, in whole or on part, or use the program or any part thereof in any commercial context, including but not limited in a service bureau, "cyber cafe" , computer gaming center or any other commercial location in which mutiple users may access the program. Codemasters may offer a separate Site License Agreement to permit you to make the program availble for commercial use; see the contact information below.
- Reverse engineer, dervive source code, modify, decompile, disassemble, or create derivative works of the program, in whole or in part.
- Remove, disable or circumvent any proprietary notices or labels contained on or within the program.
- Export or re-export the program or any copy or adapation in violation of any appicable U.S. export restrictions or other laws or regulations.

LIMITED WARRANTY. Codemasters warrants to the original consumer purchaser of the program that the recording medium on which the program is recored will be free from defects in material and workmanship for 90 days from the date of purchase. If the recording medium of a product is found defective within 90 days of original purchase, Codemasters agrees to replace , free of charge, such product within such period upon its receipt of the product, postage paid, with proof of the date of purchase, as long as the program is still being manufactured by codemasters. In the event that the program is no longer availble , Codemasters retains the right to substitute a similar program of equal or greater value. This warranty is limited to the recording medium containing the program as origanally provived by Codemasters and is not applicable and shall be void if the defect has arisen through abuse, mistreatment, or neglect. Any implied warranties prescribed by statute are expressly limited to the 90-day period described above.

EXCEPT AS SET FORTH ABOVE, THIS WARRANTY IS IN LEIU OF ALL OTHER WARRANTIES, WHETHER ORAL OR WRITTEN, EXPRESSED OR IMPLIED , INCLUDING ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRIGEMENT, AND NO OTHER REPRESENTATIONS OR CLAIMS OF ANY KIND SHALL BE BINDING ON OR OBLIGATE CODEMASTERS.

When returning the program for warranty replacement please send the original product disks only in protective packaging and include: (1) a photocopy of the dated sales receipt; (2) your name and return address typed or clearly printed; (3) a breif note describing the defect , the problem(s) you encountered and the system on which you are running the program; (4) if you are returning the program after the 90-day warranty period, but within one year after the date of purchase, please include check or money order of $15 U.S. currency per CD or floppy disk replacement. Note: Certified mail recommended.

In the U.S. send to:

Warranty Replacements , Codemasters USA, P.O. Box 2150, Oakhurst, CA 93644

LIMITATION ON DAMAGES. IN NO EVENT WILL CODEMASTERS BE LIABLE FOR SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES RESULTING FROM POSSESSION , USE OR MALFUCTION OF THE PROGRAM, INCLUDING DAMAGES TO PROPERTY, LOSS OF GOODWILL, COMPUTER FAILURE OR MALFUNCTION AND, TO THE EXTENT PERMITTED BY LAW, DAMAGES FOR PERSONAL INJURIES, EVEN IF CODEMASTERS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. CODEMASTERS'S LIABILITY SHALL NOT EXCEED THE ACTUAL PRICE PAID FOR THE LICENSE TO USE THIS PROGRAM. SOME STATES/COUNTRIES DO NOT ALLOW LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY LASTS AND/OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS AND/OR EXCLUSION OR LIMITATON OF LIABILITY MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIAL LEGAL RIGHTS, AND YOU MAY HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

TERMINATION. Without prejudice to any other rights of Codemasters, this agreement wil terminate automatically if you fail to comply with its terms and conditions. In such event, you must destroy all copies of the program and all of its component parts.

U.S. GOVERMENT RESTRICTED RIGHTS. The program and the documentation have been devolped entirely at private expense and are provided as "Commercial Computer Software" or "restricted computer software" Use, duplication or disclosure by the U.S. Govermnet or a U.S. Goverment subcontractor is subject to the restricts set forth in subparagraph (c)(1)(ii) of the rightsin technical data and computer software clauses in DFARS 252.227-7013 or as set forth in subparagraph (c)(1) and (2) of the commercial computer software restricted rights clauses at FAR 52.227-19, as applicable. The Contractor/Manufacturer is Codemasters, Inc, Codemasters USA, P.O. box 2150, Oakhurst, CA 93644.

INJUCTION. Because Codemasters would be irreparably damaged if the terms of this agreement were not specifically enforced, you agree that codemasters shall be entitled, without bond, other security or proof of damages, to apporiate equitable remedies with respect to breaches of this agreement, in addition to such other remedies as codemasters may otherwise have under applicable laws.

INDEMNITY You agree to indemnify, defend and hold codemasters, its partners, sffiliates, contractors, officer, directors, employees and agents harmless from all damages, losses and expenses arising directly or indirectly from your acts and omissions to act in using the product pursuant to the terms of this agreement.

MISCELLANEOUS. This agreement represents the complete agreement concerning this license between the parties and supersedes all prior agreements and representations between them. It may be ameneded only by a writing executed by both parties. If any provision of this agreement is held to be unenforceable for any reason, such provision sahll be reformed only to the extent necessary to make it enforceable and the remaining provisions of this agreement shall not be affected. This agreement shall not be construed under California law as such law is applied to agreements between California residents entered into and to be performed within California, except as governed by federal law and you consent to exclusive jusidiction of the state and federal courts in Los angeles, California. If you have any questions coerning this license, you may contact Codemasters at:

Codemasters USA, P.O. Box 2150, Oakhurst, CA 93644. Tel (559) 683-4468, Fax (559) 683-3633

Contents
Back - Frequently Asked Questions
Forward - Codemasters Technical Support


LOADING AND SAVING

Loading & Saving
Click on the main Load/Save icon to enter the load/save screen. You will see the default MTV Music Generator directory on your hard drive. Any MTV Music Generator songs will be displayed, as well as 'wav' audio files and 'bmp' bitmap images.

The icons at the bottom are:

LOAD - load a file, doing this deletes any current data
SAVE - save your song/video to the hard disc
DELETE - delete a file from the hard disc
INSERT - insert a file into your current song . This doesn't delete your current data.
JUKEBOX - allows you to choose a number of songs, which will be played with full-screen video in the selected order. Useful for demonstrations and parties.
Create New Folder - allows you to create a new folder on your hard drive.
SAVE SONG AS 'WAV' FILE - records the current song as one big 'wav' file onto your hard disc. You can then cut this onto recordable CD, convert it to MP3 using an MP3 encoder or use it as a Windows(tm) sound effect.

Types of save file:
You can load in four kinds of file :

MTV files - these can contain song and video data.
'Wav' files - these are the standard PC sound file format. You can record or download wav files from the Internet, and put them into your song.
'Bmp' files - these are the standard PC image file. You can put your favorite photos and images into your MTV Music Generator videos. There are many shareware graphics programs available to convert to Bmp files from Internet standard formats such as 'jpg' and 'gif'.
'Jam Template files' - these are setting for the jam sessions.

Loading in elements of a song/video

By default, clicking on an MTV file will load in all the video and music elements. However, you can load in individual riffs or clips. To do this, right click on the elements list which will appear just before the file is loaded. Turn off the 'song' highlight and you will be given a list of all the riffs to choose from. Turning off the 'video' highlight will give you a list of all the clips to choose from.

Contents
Back - Music Jam
Forward - Playing you own Audio CD's


Options Menu
Screen 1
Clear music - clear all musical elements from the current song
Clear video - clear all video elements from the current video
Clear all - clear both music and video
Screen 2
Set graphics device - If you have more than one graphics card, you can choose which one to use here
Set full screen resolution - alter the resolution of the full-screen video
Set brightness - alter the brightness of the display
Set feedback quality - increase/decrease the quality of the feedback effect within the video. If you have a very powerful 3D card, you can raise this higher than normal, on such higher settings the video image maybe adversely effected and in some case may not display an image.
Screen 3
Set audio in device - If you have more than one sound card, you can choose which one to use for input here
Set audio out device - If you have more than one sound card, you can choose which one to use for output here
Set volume - alter the master volume for MTV Music Generator
Set max effects channels - alter the maximum number of channels set aside for effects
Change mixer settings - edit the current mixer settings
Screen 4
Set MIDI-IN device - If you have more than one midi device connected, you can choose which one to use here
Set MIDI input channel - specify the midi channel to be used for inputting notes.
Set lowest MIDI note - specify the lowest MIDI note on your MIDI device
Set Jam MIDI controller - choose the MIDI controller to use for Music Jam mode
Midi compatibility

Midi keyboards can be used in two areas of the product:
1) When you are recording in real-time mode, you can use a MIDI device to play notes. If the riff you are editing has multiple channels, you can record more than one note at once, and thus play chords.
2) When you are in Music Jam mode, you can use a MIDI device to play notes on the two virtual keyboards, you can also play riffs via the F keys on the midi keyboard. These are polyphonic, so you can play several notes at once.
Midi settings can be altered within Option screen 4, explained previously.

Contents
Back - Playing your own Audio CD's
Forward - Frequently Asked Questions


Copyright & Royalty-Free License

Precautions, Epilepsy Warning and Piracy Notice
Precautions

- Do not touch the surface of the disc when handling, hold it by the edge.
- To keep the disc clean, wipe gently with a soft cloth. Keep the disc scratch free.
- Keep the disc away from extremes of temperature, direct sunlight or exposure to excessive moisture.
- Never use a cracked or warped disc or one that has been repaired using adhesives. This could lead to operating problems.

Epilepsy Warning

Please read before using this product

Some people are susceptible to epileptic seizures or loss of consciousness when exposed to certain flashing lights or light patterns in everyday life.

Such people may have a seizure whilst playing certain video games. This may happen even if the person has no medical history of epilepsy or has never had any epileptic seizures.

If you or anyone in your family has ever had symptoms related to epilepsy (seizures or loss of consciousness) when exposed to flashing lights, consult your doctor prior to using this product.

If you or your child experience any of the following symptoms: dizziness, blurred vision, eye or muscle twitches, loss of consciousness, disorientation, any involuntary movement or convulsion, while playing a video game, immediately discontinue use and consult your doctor.

Precautions to take while using this product:

- Don't sit too close to the monitor. Make sure you are a good distance away.
- Preferably play the product on a small monitor.
- Avoid using if you are tired or have not had much sleep.
- Make sure that the room in which you are playing is well lit.
- Rest for at least 10 to 15 minutes each hour that you play a video game.

Piracy Notice

Copying commercial games, such as this, is copyright infringement and is a criminal offense. So is using copied games, so is possessing copied games. Copying and re-supplying games can lead to a term of imprisonment
Think of a copied game like stolen property

Contents
Back - Copyright & Royalty-Free License
Forward - Installing MTV Music Generator


Making A Song Using Riffs
Making a song using the riff library is very easy, essentially placing musical building blocks together.
The riff library

There are over 1000 different riffs split into different musical styles and sections. To access the riff library from the standard song track screen, right click and select Riff Library from the menu or use the shortcut F6.
Within the riff library, the top word is the style of music (Beat, Drum'n'Bass, House etc) and below that you can see the type of riff (Bass lines, Drum loops, Melody etc..).
Scrolling left and right will change the type of riff. If you keep moving in one direction, you will move into a different style of music.
Scrolling up and down will allow you to see all the different riffs within a section. If you want to hear (audition) a riff, press F1 or right click for a demo. If you want to place a riff into your song, simply click on it.

Placing a riff into your song

Once you have loaded a riff in, you will find yourself back on the song track screen. You can move around the screen, using the left button to place the riff. Note that riffs can be between 1 and 8 bars long, and also some of the more complicated riffs can use several channels. Therefore, if you can't place the current riff in the song, it may be that it doesn't fit. Move to a different place and try again.
You can place any riff in any position. Placing two identical riffs next to each other horizontally will cause the riff to repeat and placing two identical riffs underneath each other will double the riff's volume.

Playing the current song

You can press Space to play the song from the current point. Pressing Space also stops the song. If you want to hear the song right from the start press CTRL HOME and then press Space. You can also 'Go to song start' and 'Go to song end' via the shortcut icons on the top right of the screen.

Deleting riffs

If you want to delete a riff, simply move over its icon, and press Delete.

Copying and pasting riffs

You can copy and move an area of any size - from just one bar, to a large block of bars. Firstly, move to the top left hand corner of the area you want to select.
You can select an area in one of two ways: click and drag or right click to bring up the menu and choose 'Area Selection'.

Once you have selected the area, right click to choose what action to take - you can choose to copy the area (leave the original selection there, and place a copy somewhere else), cut the area (delete the original selection, and place it somewhere else), or join riffs (which allows you to merge a number of riffs into one big riff). Shortcuts are available through the on-screen list and are also detailed in the help menu.
If you have chosen to Cut or Copy, you can then move the selection box to wherever you want to place your selection, and left click to place it.

Changing the volume of riffs

Move over the riff you want to change and choose 'Change riff volume' from the menu. To alter the volume throughout the riff, change the start / end section. Otherwise, you can set the start and end volumes in order to make the riff get louder or quieter. The maximum volume of a riff is 100. If the riff still isn't loud enough, either lower the volume of other riffs in your song, or place an identical copy of the riff below it.

Riff palette

Once you have used a riff once in your song, it will be placed into your Riff palette. You can bring this up by pressing F5 or by choosing 'Riff Palette' from the menu. To audition a riff press F3. This makes it quick and easy to find a riff that you have already used. If you create your own riffs, they are also placed here.

Contents
Back - Full Manual
Forward - Creating Your Own Riffs


Creating Your Own Riffs
MTV Music Generator allows you to create your own riffs, note by note, using over 2000 instrument samples. You can also record samples from any audio CD for use instead of a standard sample (see next section Sampling / Editing Samples).
Starting a blank riff

On the Song Track screen, right click and choose 'Riff Editor'. You can then move left and right to decide how long you want your riff to be - from 1 to 8 bars. You can also decide how many channels you want your riff to use - this is determined by how many vertical bars are selected when you first select Riff Editor (for example a 4-bar riff with 3 channels equates to a 4x3 rectangle of bars). For most tunes and bass-lines you will only need one, but if you want two notes to play at the same time, you will need to use two channels, and so on. The maximum number of channels you can use in one riff is 12.

Once you are happy with the size of your riff, you will enter the riff editor screen - this isn't as complicated as it may look!
On the left hand side are the numbers 1 to 6, representing octaves on a keyboard. The current octave is highlighted. Next to these numbers are a representation of the keys of a piano. It is essentially a piano on its side, six octaves long. In a similar way to the standard song track screen, time goes from left to right. Don't worry about the icons on the right hand side of the screen for now - they provide advanced effects you won't need to use at the moment.
At the bottom of the screen are the channel numbers. Most of the time, you will only use one channel, but if you are making more complicated multi-channel riffs, the currently selected channel will be highlighted.

Choosing an instrument / sample

There are a vast number of different instruments you can choose from. Right click and choose 'Sample library'. This works in a very similar way to the riff library. Scroll left and right to change the type of sample and up and down to see all the samples within a particular section. Pressing F1 or right clicking demos a sample, and once you are happy with a sound, you can choose to load a sample at one of three different rates. A sample rate affects the quality of the sample - 11 kHz is the lowest quality, and 44 kHz is the highest quality. It's best to use 44kHz throughout your songs but in the unlikely event of your PC running out of memory, you can load in samples recorded at a lower rate.

Placing riffs into the loaded sample list

Once you have chosen a sample, you will be shown a list of all the samples you currently have loaded in. If you have used any standard riffs in your song, the samples used will be in here already. Choose a blank slot for your sample, and left click. Note that you can replace a loaded sample with the new sample you have just chosen.

Recording

There are two ways to record a riff: step-time and real-time.

Step-time record

In step-time, you place the notes wherever you like by left clicking and then press Space to hear the riff. Move up and down to alter the pitch of the sample. If you move up past the highest note of the keyboard and return to your original position at the bottom you have risen a whole octave. Similarly, moving down when you are at the bottom of the riff will lower the octave. Moving left and right alters the timing of the note.
The lighter colored squares show each beat of each bar (there are four beats in a bar). The best way to understand step-time recording is to place a few notes in different places, move to the left hand side, and play the riff. If you make a mistake, you can press Delete to delete a note. Dragging and clicking makes the note hold for a longer amount of time.

Real-time record

If you would rather use your own rhythm to tap the notes in, choose 'Real-time recording' from the menu. You will hear a metronome clicking the beat. Move up and down to alter the pitch of a note, and then left click at the right time to enter a note there. If you make a mistake, you can press Delete.
You can also use a Midi keyboard to input notes in real-time record mode, or hone your skills in 'Real-time Practice' mode.

Note parameters

For each note, you can alter any of the note parameters. A word of caution - these are not for beginners. Don't think about using these until you are confident with the riff editor. You can enter the note parameters section by selecting any of the 'Note Parameters' from the right hand side of the Riff Editor while highlighting the note you wish to edit.

Note muting
You can use this to mute (silence) a note. When the icon is red, the note has been muted.

Note pitch-bend
This applies pitch-bend between two notes.

AM Channel (Low Frequency Oscillator)
This is a more advanced effect. When you choose this, a new channel will be created. Anything you place into this new channel will not be played as normal. Instead, the volume of whatever is placed in the new channel will directly alter the pitch of whatever is placed in the current channel. Try it and see!

Note volume
This allows you to alter the volume of the note.

Note repeat
This allows you to repeat a note very quickly, allowing you eight subdivisions within one of the blocks. Move left and right to change the subdivision, and move up and down to alter the status. A yellow block means that the note will play with reverb, a red block means the note will play without reverb, and a black block means that the note won't play at all.

Note vibrato
There are two settings for the vibrato of a note (the wobbling in pitch of a note). The first is the vibrato depth, and the second is the vibrato speed. These control respectively the amount and the speed of the wobble.

Note sample start
This controls the point where a sample starts playing from. For example, if you have a vocal sample that says 'coming soon', you can alter the start point so that the sample just says 'soon'. Using this can create some fantastic new effects from existing samples.

Note effect
There are a large number of different effects that you can use on a note to make it sound a little different. Choose the effect you want from this menu. The best way to understand the difference between the effects is to try them all. If you don't want an effect, choose 'None'.

Envelopes

Note volume envelope
This lets you alter the volume envelope of a sample. On the graph, time goes from left to right, and the vertical scale is the volume. Therefore, you could make the sound start really loud and then tail off, or start quietly and then get louder. Use the menu to choose from a number of default envelope shapes, or click and drag to alter the position of any of the points. You can also add and delete points from the graph, again using the menu. As with all of the parameters, any changes you make will be saved with your song.

Note pan envelope
This allows you to alter the stereo position of a sample. Time goes from left to right on the graph and the stereo position runs vertically. Again, you can use the menu to choose from a number of default settings, or else create your own.

Note pitch envelope
The final parameter allows you to alter the pitch envelope of the sample. Time goes from left to right and the pitch runs vertically. Again, there are a number of default settings for you to try out.

Multi-channel riffs

As mentioned earlier, riffs can consist of several channels. Each channel can have one sample playing at a time, so if you want to create a riff with three samples playing simultaneously, you will need to make a three-channel riff. Click on the channel numbers at the bottom of the Riff Editor to toggle through the different channels. The notes in the current channel will be displayed brightly, and other notes from other channels will be dimmed out. This makes it easy to make complicated chords.

Customizing your riffs

Using the menu within the riff-editor, you can alter the name and icon for your riff. These options are self-explanatory.

Storing your riffs as palettes

Any riff you create will automatically be stored in the riff palette. This makes it easy for you to quickly find any of the current riffs you have created.

Resizing / cloning riffs

Using the song track menu, you can choose to resize the riff. This will allow you to shrink or expand the riff. Click and drag until you are happy with the new size. Note that if you shrink a riff, you will lose any notes that are removed during this process. You can also 'clone' a riff. This allows you to alter one riff without changing all the other identical riffs in your song. Move over the riff, go into the menu and select 'Clone riff'. You can now alter this riff without changing any other identical riffs.

Muting riffs

Simply click on the number of the channel to mute (silence) the whole channel. This can be useful when you want to hear a song without a particular channel playing. Changing the mute status again turns the channel back on.

Splitting riffs

You can split a riff into separate riffs. Move over the riff you want to split up, and select 'Split riff' from the menu. Once you have split a riff up, you can recombine any parts you want to by selecting them and using the 'join riffs' command

Contents
Back - Making a Song Using Riffs
Forward - Sampling / Editing Samples


SAMPLING / EDITING SAMPLES
Legalities

MTV Music Generator allows you to record and edit samples from any audio CD, as well as from your soundcards, audio inputs and any WAV file. Please note that this feature is designed for your own personal use - distributing or publishing songs using samples taken from commercial CDs is illegal without permission from the copyright owner. Therefore, if you plan on trying to publish or copy your creations, we strongly advise that you only use the CD sampling feature to record copyright-free samples, such as those found on specially recorded sample CDs.

There are two ways to record samples in MTV Music Generator. You can use the CD player to record samples from audio CDs, and you can record within the riff editor, which takes input from the audio mixer.
Use this to record from your soundcard microphone and line inputs, as well as from other PC software.
The audio mixer can be brought up by pressing F10, or clicking on the audio mixer icon on the icon bar.
This will list all the audio inputs on your PC. You can alter the volume of these, as well as selecting which device is the input device (which will be recorded from).

CD Recorder

Click on the main CD player section icon. You will now be prompted to choose 'No video' or 'Generate video'. If you want to record samples from the CD, choose 'No video'. You will now see a CD function bar appear on your screen. Use this to choose a track, play, pause and stop the CD. Click the 'Record' button when you want to record, and then click 'stop' to finish recording. The recorded sample will be placed into your sample palette.

Audio Recorder

When you are in the riff editor, right click to get the menu up, and select 'Record from PC audio'. You will then see the sample editor screen. Click the red record icon when you are ready to record and then click the mouse again to stop recording. You can then edit the recorded sample using the sample editor (see below).
Firstly, start the audio source playing or get ready to sing with your microphone! As soon as you reach the point that you want to start sampling, click on the 'record' icon. You will see the bottom counter start to increase, which shows you how much you have recorded. When you want to finish sampling, click on the 'stop' icon.

Placing a sample into a riff

Go back into the song track screen, and create a new blank riff using the Riff Editor. Instead of going into the sample library, go into the sample palette via the menu. You will see at the bottom of the sample list a new sample called 'Sample 0001', which will contain the sound you just recorded.
You can use this just like a normal instrument sample, and place it in your riff. Everything that you can do with a normal sample, you can do with one you have created yourself.

Using the sample editor

The sample editor allows you to edit any sample, whether from MTV Music Generator or from an audio CD. To enter the sample editor, you need to be in the sample palette screen. Highlight the sample that you wish to edit, press the menu button and choose the 'Edit sample' option.

You will see a graphical representation of your sample.

Here you can edit your sample in a number of ways:

The three markers
There are three pairs of markers. The top pair represents where your current position in the sample is, and when you are moving this marker around, the hourglass icon on the top right will be highlighted.
The second pair of markers shows the start of the sample edit area and is represented by the left arrow icon. As you move this around, you will see parts of the sample turning into a black background.
The third pair of markers represents the end of the sample edit area. This is represented by the right arrow icon and, again, parts of the sample will have a black background as you move this around.

Sample editor icons
The first three icons are mentioned above.
The fourth icon represents the loop point.
The 'K'-shaped icon shows the size of your sample in bytes (i.e. how much memory it takes up)
The next icon tells you whereabouts in the sample the left of the screen is. This is useful to know if you're zooming in to a section within your sample.
The next icon tells you whereabouts in the sample the right of the screen is.
The final icon shows the size of the current editing zone (the area highlighted in pink and white).

Cutting, copying, trimming and pasting
In order to select an area within your sample, you need to move the start markers to the start and the end markers to the end of that area. The area will then have a pink and white background and the rest of the sample will have a black background. Copy the highlighted area by choosing the 'Copy' option from the menu. Paste the area you have just copied using the 'Paste copied area' option. The 'Cut' option works in a similar way except that it deletes the area you copy. Trimming is a very useful option, deleting areas with a black background to remove any silent or unwanted areas.

Zooming in / out
You can use the 'Zoom into area' and 'Zoom out' options to alter the magnification of the sample in order to concentrate on more detailed areas.

Note: There are some complicated parameters that we don't have room to fully explain here. More details on these can be found in sampling journals, or on the Internet.

Effects

All the effects listed below are accessible via the help menu.
Loop on: Toggle sample loop on/off once it has finished playing
Alter sample ADSR values: Change the note volume envelope
Comb filter: Cut out any unwanted frequencies
All-pass filter: Add delay and feedback to the sample
Reverb filter: Add reverb to the selected area
High / low pass filter: Allow just the high or low frequencies to be heard
Flange filter: Add a flange effect to the selected area
Phase filter: Add a phase effect to the selected area
Weird filter: Add a weird effect to the selected area
Bandpass filter: Isolate a band of frequencies from your sample

Reverse
This literally reverses the selected area, so it plays backwards. This can create some unique sounds!

Normalize
This alters the volume of the sample so that it will tie in with the other standard samples in MTV Music Generator. If your audio CD is quiet, or if you record a soft section of music, this is very useful for bringing the volume up.

Mixing samples
Combine two samples. Select the first area and choose the 'Copy' option. Then go to the second sample, select the required area, and choose 'Mix samples'. The two samples will be mixed together, and you will end up with one sample that contains both sounds. Keep repeating this process to add more and more sounds to one sample.

The sample palette

Optimizing the loaded sample list

This removes any sample from the list not being used in the song, for instance if you use a riff, and then delete it. The samples will still be stored in the list until you choose 'Optimize sample list'. This frees up any space taken up by unused samples.

Downgrading and upgrading samples

If your MTV Music Generator sample has been recorded at 44kHz, and you want to save memory, you can choose to downgrade the sample. The first time you downgrade, it will change to 22kHz, and then to 11kHz. Similarly, you can downgrade a 22kHz sample to 11kHz. Remember that there will be a drop in sample quality.

Saving your edited samples

Your edited samples are automatically saved with the song. Note that if you edit any default samples that come with MTV Music Generator, it won't save the new sample, just the changes you have made.

Contents
Back - Creating Your Own Riffs
Forward - Making a Video Using Clips


Troubleshooting Display Issues

If you encounter any problems, please ensure that you have the latest drivers installed for your card. These should be obtained from the card or chipset manufacturer.

In the case of having a 3D card with either Window 2000 drivers that do not support 3D or having a non supported D3D card, you will not be able use the video playback or editing features.

If you increase the settings of your display options and experience decreased performance and have the latest drivers, we recommend setting your Display options back to their defaults.

Contents
Back - Supported 3D Chipsets and Manufacturer Web Sites
Forward - Troubleshooting Sound Issues


Troubleshooting Other Issues

General issues

  • Swap file - We recommend that the user has at least 275mb free hard disk space after installation. While MTV Music Generator should perform fine with less than 275mb free, in order to gain maximum performance from this product a larger swap file will be beneficial.
  • Note that when saving songs as .Wav files the resulting file size could be large. As a rule, 1 minute of sound will take up 10mb of hard drive space.
  • Close down any applications before running MTV Music Generator.
  • If you experience any problems, use the Test option on the MTV Music Generator Launcher to save a text file that you can send to custservice@codemastersusa.com in order to help track down your problem.

Windows 2000 issues

At the time of this release, hardware manufacturers are working to provide Windows 2000 support for their equipment. All of the chipsets MTV Music Generator supports have been tested on Windows 2000 using Beta drivers. However we have encountered problems. For Windows 2000 support, please refer to your hardware manufacturer for 100% full Windows 2000 compliant drivers.

Any CD player other than the Default Win98 player will make MTV Music switch back to desktop when an audio CD in placed in the drive. This is a problem with the Win2000 default player as Win2000 uses the Deluxe Win98 CD player and causes MTV Music to flip back to desktop. If you minimize the CD player, MTV Music Generator will continue to function correctly.

Direct X

If you try to run the game without DirectX7.0a installed, MTV Music Generator may not run correctly. The game will check for your current version of DirectX during installation.

Contents
Back - Troubleshooting Sound Issues


Troubleshooting Sound Issues

Mixer settings

In the play control panel a red cross indicates that the device has been muted. In the recording control panel a green cross signifies that the device has been selected. Note: depending on your sound card only one recording device can be selected at any one time.

Maxi Gamer ISIS

If the card has replaced a SBLive card you may experience poor performance, this is a problem with drivers remaining after installation of the ISIS card. We have experienced no problems after a fresh install of windows with this card.

Diamond Monster sound II

Initially you may experience a clicking sound when moving between modes within MTV Music Generator. This will only happen on the first occasion and will not effect MTV Music Generator's performance.

Contents
Back - Troubleshooting Display Issues
Forward - Troubleshooting Other Issues


Minimum & Recommended Specifications
Minimum Requirements
(without video creation and playback)

Windows 95, 98 or Windows 2000
Pentium 200 MMX
16MB RAM
16 bit DirectX compatible Soundcard
DirectX 7.0 compatible video card
4x CD-ROM
275Mb Hard Drive space

Minimum Requirements
(with video creation and playback)

Windows 95, 98 or Windows 2000
Pentium II 266 CPU
32MB RAM
16 bit DirectX compatible Soundcard
DirectX 7.0 compatible 3D graphics card with 4Mb RAM
4x CD-ROM
275Mb Hard Drive space

Recommended Specification

Windows 95, 98 or Windows 2000
Pentium II 350 CPU
64MB RAM
16 bit DirectX compatible Soundcard
DirectX 7.0 compatible 3D graphics card with 8Mb RAM
8x CD-ROM
300Mb Hard Drive space

Supported 3D chipsets

3dfx Voodoo Graphics, Voodoo Rush, Voodoo Banshee, Voodoo2, Voodoo3
3Dlabs Permedia 2, Permedia 3
ATI Rage Pro, Rage 128
Intel i740
Matrox G200, G400
Nvidia Riva 128, Riva TNT, Riva TNT2, GeForce 256
S3 Savage 3D, Savage 4, Savage 2000

Network / Internet Play Requirements

•Minimum 33.6 kbs speed modem •IPX network •TCP/IP network
•Any other 100% Microsoft DirectPlay® supported network.

Contents
Back - Codemasters Technical Support
Forward - Supported 3D Chipsets and Manufacturer Web Sites


Codemasters Technical Support
Please read the remainder of this help file before contacting Customer Support, as the answer to your problem may be there.
World Wide Web

http://www.codemastersusa.com

USA - Customer & Technical Support

Questions relating to Codemasters' games should be e-mailed to Customer Service at:

custservice@codemastersusa.com

Codemasters postal address

Codemasters USA
P.O. Box 2150
Oakhurst
CA 93644

Please try to have the following details to hand before you contact Technical Support as it will help us to try and resolve your problems faster:

· A detailed description of the problem
· If it is repeatable, under what conditions ?
· Your brand of PC (eg. Dell, Gateway,Compaq, IBM etc.)
· Your processor brand and type (eg. Intel Pentium(tm) 266, Athlon(tm)700)
· The make & model of any video/3D Graphics cards in your system and the version number of the drivers* (eg. Diamond Viper V550, 4.10.01.0245)
· The make & model of your CDROM drive (eg. Panasonic(tm) 562 2 speed)
· Motherboard BIOS version and date (AMIBIOS, 1992 etc...)**
· The make & model of your soundcard and the version number of the driver* (eg Soundblaster 16, 4.38.01.0201)
· The version of DirectX installed on your system* (eg DirectX 6 or 7)
· The version of Windows (TM) installed on your system* (eg Windows (TM) 98, 4.10, Build 1998)

* This information can be obtained from running Dxdiag.exe, customer services can guide you through this if you are unsure
** This is displayed during your systems boot up sequence.

Contents
Back - Codemasters, Inc. Software License Agreement
Forward - Minimum & Recommended Specifications


Tutorial
Congratulations and thank you for buying MTV Music Generator. You don't need to try and digest the whole manual now - we suggest that you read through this Tutorial section where you'll find details of the on-line help and the menu system. Together, these features should allow you to navigate through MTV Music Generator with ease.

Getting Started

Loading and playing a demo song.
MTV Music Generator comes with several demonstration songs. These give you an example of the diverse range of music you can make, and also allow you to edit, remix and examine tracks written by a number of different musicians. All these songs also contain a full video, which you can edit and examine.

First, a quick guideline - as a general rule the left mouse button carries out actions and the right mouse button brings up help menus. There is also a shortcut menu across the top right of every screen - each icon represents a different action which can be accessed by left clicking or by pressing the respective function key. Pressing Esc takes you back to the previous screen or menu.

Once you have started MTV Music Generator, you will find yourself on the main track screen. The main menu icons across the top left allow you to choose between the different modes. Click on the 'Load and Save' icon to see all the songs/videos that are supplied with MTV Music Generator within the directory called 'Songs'. Move over one of the songs and click to select the track. Click on the load icon and the track will load up. By default, all the elements of a track will load so if a track has both music and video, they will be both be loaded. If you want to load just the music, or even just particular riffs, right click and toggle the track's individual components on or off before loading.

Once the song is loaded, click OK and then select the 'Song Track' option. You will now see the song on the screen. Press the spacebar to start and stop the song. To watch the video as well, go back to the main menu icons, choose 'Video Track' and play the song from there. You will see the video playing in a box on the screen - you can make it fill the whole screen by right clicking and selecting 'Play Full Screen'.

Repeat this process to play any of the demonstration songs.

Creating your own new song
Firstly you need to make sure that you don't have a song or video loaded in. If you have just loaded MTV Music Generator, you will be alright, but if you have loaded in any of the demonstration songs, you will need to clear the music and video. To do this, go to the main menu icons and select the 'Options' menu.
Then select 'Clear All' to delete all music and video so we can start from a blank canvas. Go back to the top menu, and select the main 'Song Track' option.

Making a song is very simple. Right click for a menu to appear. Choose the 'Riff library' option (note that there is a shortcut to this option displayed on screen, which you can use later to save you time. The particular shortcut is F6). Use the scroll bars to move up and down each list of riffs or change the instrument section you are in. If you keep scrolling right you will see there are lots of different sections, split into Beat, Drum n Bass, House, Rock, Techno and Trance.

Press F1 to listen to any of these riffs. Once you've found a riff you like, click on it and you'll be taken back into the main track screen.
Click again to lay down the riff - you're best off putting your new riff onto track 1 (at the top left hand side of the screen). Note that you can put it down as many times as you want. If you make a mistake, press Delete to delete it.

To play the riff, go back to the left hand edge of your song and press Space. When the timer reaches your riffs you will hear them play. Press Space again to stop the track. You can now repeat this process, pressing F6 as a shortcut to go into the library. Try putting a bass-line down first, and then a drumloop underneath it, and then a melody. You're making music!

Music Jam
Music Jam is an almost immediately accessible and fun way of making music that up to 4 players can use at once over a network / via the Internet. You can also play Music Jam on your own - just choose 'Single Player Jam' and Music Jam will start. To loop sounds, simply press Shift and the Function keys. Hold down the number pad keys to play non-looping samples and use the keyboard to play the two pianos provided. To change any sounds, right click. A full explanation is available in the Music Jam section later in this manual.

If you want to jam on-line with other players, go to www.codemastersusa.com/mtvjam where you can meet up with like-minded musicians.

Contents
Back - Installing MTV Music Generator
Forward - Full Manual


Making a Video Using Clips
This is similar to making songs using riffs. There is a large library of video clips, consisting of many different types, from background images, to 3D shapes, cameras and feedback effects.

It's simply a matter of putting different clips together and seeing what happens. The best way to understand MTV Music Generator is to get stuck in and experiment.

Videos explained
You can access the video track from the main menu on the top of the screen. There are four main channels, as well as channels for a camera effects and a DVEs (digital video effect). You can put a shape or a background into each of the main four channels. Time goes from left to right in exactly the same way as with the music.

VIDEO SHORTCUTS
F1 - Paste clip
F2 - Delete clip
F3 - Play
F4 - Area selection
F5 - Clip palette
F6 - Clip library
F7 - Expand clip
F8 - Edit video
F9 - Video start
F10 - Video end
F11 - Undo
F12 - Help
The clip library

This contains a large number of different clips. You can place any of the shape and background clips into the main four channels, and any of the cameras or DVE effects into their respective channels. Press F6 or select 'clip library' from the menu. Demonstrate the clips by pressing F1 and load in a clip by left clicking.
Left click to place the clips into your video, using Delete to wipe any mistakes.
Press space to play the song and video together, which you will see in the small TV box in the bottom right corner.
Please note: In MTV Music Generator, pressing full-screen display will automatically engage your 3D graphics card, where available, doing real justice to your video effects.

Moving and deleting clips
This works in exactly the same way as with the music section

Contents
Back - Sampling / Editing Samples
Forward - Creating Your Own Clips


Creating Your Own Clips
MTV Music Generator contains an advanced video editor allowing you to create unique visuals to accompany songs.
Selecting a blank clip

You can choose a blank clip by choosing 'Edit video clip' on the menu. Decide how long the clip will be by moving left and right. When you are happy, left click to continue. You must then choose the type of clip - a shape, a background, a particle, some text, or a tunnel effect.

The clip editing screen

You can apply numerous effects and movement to your initial clip type - including color changes, splines, rotations and scaling. To do this press 'Add Chase' in the current menu. So you now have two clip elements displayed on screen.
Highlight the clip element to be edited. You can edit thousands of different parameters, including the number of shapes in your scene, the layout of objects, the direction of rotations, the size of the main clip element - in fact you can take complete control of the visuals displayed on the screen. Scrolling left and right alters the value of the highlighted clip.

Timeline

This feature allows you to add additional steps to your current video clip. Action in a video clip is made possible by transitions from one step (or a moment in time) to another. You can add many steps to each individual clip element.
The timeline edit function is available in clip edit mode and is used with the global settings to create videos that react to markers placed along the timeline. The markers trigger chosen changes in the clip parameter values. To use this function, click on the timeline, add a trigger, alter a clip parameter value and define the global settings. The video will now display your changed settings when the marker is reached along the timeline.
To add steps to the current clip type, click and drag the flashing green cursor to the position of your choice on the Timeline. You can then click on the current clip element and change its parameters. These changes will be stored on the Timeline. The Timeline is in essence a series of instructions that will bring life to your video-clip - but only when used in conjunction with the Global Settings.

Global settings

If you have left information on the Timeline you can make your video trigger off the notes on a music channel or a function key on your keyboard amongst other things. So, for example, you can make the background change every time a cymbal is struck. Or you can make an object change size with every beat of the song. The possibilities are endless.

Click on Global Settings. There are three parameter boxes with arrows on either side in the Global Settings panel.

If you toggle through the parameters in the top box you will see that you can set the visual effects to trigger off a specified audio channel (1-99).

If you edit the parameters in the middle box you can make your visuals trigger off -
1. Keyboard function keys
2. Sixteenths of the bar
3. Each beat of the song
4. The first beat of each bar
5. Random parameters.

The box at the bottom defines how the information on the Timeline is played.

1. The cursor can scroll from left to right and back again through each edited stage of the Timeline.
2. The cursor will 'step' through each edited position on the Timeline.
3. The cursor can swiftly ramp up through all the parameter changes and then drop back to the start of the Timeline.
4. The cursor will play the Timeline from one end to the other over the length of the video clip (as represented on the track screen).

The box to the right in the Global section has a slider that can be moved up and down to define the sensitivity of the trigger. Set it to the top for the most sensitive response to the trigger you have added.

The numbers 1, 2, 3 and 4 at the right of the Global section refer to the four video channels. This feature is only accessible from the DVE channel - the channel at the bottom of the video screen.

If you select one of the four numbers, the corresponding channel will be deactivated and not included in the current DVE effect.

Clone Video Clip

Changing or editing an existing video clip will change it throughout the whole arrangement. Avoid this by selecting the Clone Video Clip option (while highlighting a video clip on the video track screen) and creating a new video clip modeled on the existing one. The background color of the icon will now have changed. Any changes you carry out will not be applied to other versions of the original video clip.

Auto-Generating a video

This function will automatically create a video for you - perfect if you have just written some music and want some impressive visuals to go with it.
Select 'Auto-generate video' from the Video Track menu. You will see there are two auto-generate parameter values that you can adjust before the calculations begin. Select 'Generate video' and MTV Music Generator will cook you up a video.

Contents
Back - Making a Video Using Clips
Forward - Music Jam